/* ========================================
 *  ContentHideD - ContentHideD.h
 *  Copyright (c) airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "ContentHideD.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::ContentHideD {

ContentHideD::ContentHideD()
{
	demotimer = 0.0;
	fpd = 1.0; while (fpd < 16386) fpd = rand()*UINT32_MAX;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int ContentHideD::getParameterCount() const
{
	return kNumParameters;
}

void ContentHideD::setParameter(int /*index*/, float /*value*/) {
}

float ContentHideD::getParameter(int /*index*/) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void ContentHideD::getParameterName(int /*index*/, char */*text*/) {
}

void ContentHideD::getParameterDisplay(int /*index*/, char */*text*/) {
}

void ContentHideD::getParameterLabel(int /*index*/, char */*text*/) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
